Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 225966

Summary: Merge Review: kdesdk
Product: [Fedora] Fedora Reporter: Nobody's working on this, feel free to take it <nobody>
Component: Package ReviewAssignee: Rex Dieter <rdieter>
Status: CLOSED RAWHIDE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: rdieter, than
Target Milestone: ---Flags: rdieter: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-05-07 19:11:03 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Nobody's working on this, feel free to take it 2007-01-31 19:15:25 UTC
Fedora Merge Review: kdesdk

http://cvs.fedora.redhat.com/viewcvs/devel/kdesdk/
Initial Owner: than@redhat.com

Comment 1 Rex Dieter 2007-03-08 15:13:13 UTC
$ rpmlint kdesdk-3.5.6-1.fc7.i386.rpm
E: kdesdk invalid-soname /usr/lib/libkdeinit_cvsservice.so libkdeinit_cvsservice.so
E: kdesdk invalid-soname /usr/lib/libkdeinit_cervisia.so libkdeinit_cervisia.so
E: kdesdk invalid-soname /usr/lib/libkdeinit_cvsaskpass.so libkdeinit_cvsaskpass.so
W: kdesdk dangling-relative-symlink
/usr/share/doc/HTML/en/cervisia/common/kmenu.png ../../common/kmenu.png
E: kdesdk non-executable-script
/usr/share/apps/kapptemplate/include/kapptemplate.common 0644
E: kdesdk script-without-shellbang /usr/lib/kde3/kfile_cpp.la
W: kdesdk dangling-relative-symlink
/usr/share/doc/HTML/en/cervisia/common/favicon.ico ../../common/favicon.ico
E: kdesdk script-without-shellbang /usr/lib/kde3/kbabel_linguistexport.la
W: kdesdk dangling-relative-symlink
/usr/share/doc/HTML/en/cervisia/common/bottom-middle.png
../../common/bottom-middle.png
E: kdesdk script-without-shellbang /usr/lib/kde3/kabcformat_kdeaccounts.la
W: kdesdk dangling-relative-symlink
/usr/share/doc/HTML/en/cervisia/common/top-right-konqueror.png
../../common/top-right-konqueror.png
E: kdesdk script-without-shellbang /usr/lib/libkdeinit_cvsaskpass.la
W: kdesdk dangling-relative-symlink
/usr/share/doc/HTML/en/cervisia/common/gpl-license.html
../../common/gpl-license.html
E: kdesdk script-without-shellbang /usr/lib/kde3/kbabel_xliffimport.la
E: kdesdk script-without-shellbang /usr/lib/libcvsservice.la
W: kdesdk dangling-relative-symlink
/usr/share/doc/HTML/en/cervisia/common/10.png ../../common/10.png
W: kdesdk dangling-relative-symlink
/usr/share/doc/HTML/en/cervisia/common/kde_gear_64.png ../../common/kde_gear_64.png
E: kdesdk script-without-shellbang /usr/lib/kde3/kbabel_setfuzzytool.la
E: kdesdk non-executable-script /usr/share/apps/kapptemplate/admin/depcomp 0644
W: kdesdk dangling-relative-symlink
/usr/share/doc/HTML/en/cervisia/common/mainheader.html ../../common/mainheader.html
W: kdesdk dangling-relative-symlink
/usr/share/doc/HTML/en/cervisia/common/bottom-left.png ../../common/bottom-left.png
E: kdesdk non-executable-script /usr/share/apps/kapptemplate/admin/am_edit 0644
W: kdesdk dangling-relative-symlink
/usr/share/doc/HTML/en/cervisia/common/docheadergears.png
../../common/docheadergears.png
E: kdesdk script-without-shellbang /usr/lib/kde3/libkomparenavtreepart.la
W: kdesdk dangling-relative-symlink
/usr/share/doc/HTML/en/cervisia/common/doctop2.png ../../common/doctop2.png
E: kdesdk non-executable-script /usr/share/apps/kapptemplate/admin/nmcheck 0644
E: kdesdk non-executable-script /usr/share/apps/kapptemplate/admin/install-sh 0644
W: kdesdk dangling-relative-symlink /usr/share/doc/HTML/en/cervisia/common/3.png
../../common/3.png
W: kdesdk dangling-relative-symlink
/usr/share/doc/HTML/en/cervisia/common/doctop1a.png ../../common/doctop1a.png
W: kdesdk dangling-relative-symlink
/usr/share/doc/HTML/en/cervisia/common/bottom-right.png
../../common/bottom-right.png
E: kdesdk script-without-shellbang /usr/lib/kde3/pothumbnail.la
E: kdesdk script-without-shellbang /usr/lib/kde3/kbabel_xmltool.la
W: kdesdk dangling-relative-symlink
/usr/share/doc/HTML/en/cervisia/common/kde-common.css ../../common/kde-common.css
W: kdesdk dangling-relative-symlink
/usr/share/doc/HTML/en/cervisia/common/kde-localised.css.template
../../common/kde-localised.css.template
E: kdesdk script-without-shellbang /usr/lib/kde3/kbabel_pluraltool.la
E: kdesdk script-without-shellbang /usr/lib/libkompareinterface.la
E: kdesdk non-executable-script /usr/share/apps/umbrello/headings/heading.py 0644
W: kdesdk dangling-relative-symlink
/usr/share/doc/HTML/en/cervisia/common/lgpl-license.html
../../common/lgpl-license.html
E: kdesdk non-executable-script /usr/share/apps/umbrello/headings/heading.pm 0644
W: kdesdk dangling-relative-symlink
/usr/share/doc/HTML/en/cervisia/common/grad.png ../../common/grad.png
E: kdesdk script-without-shellbang /usr/lib/kde3/kbabeldict_tmxcompendium.la
E: kdesdk script-without-shellbang /usr/lib/kde3/libkomparepart.la
W: kdesdk dangling-relative-symlink /usr/share/doc/HTML/en/cervisia/common/2.png
../../common/2.png
E: kdesdk script-without-shellbang /usr/lib/kde3/cvsaskpass.la
E: kdesdk script-without-shellbang /usr/lib/kde3/libcervisiapart.la
E: kdesdk script-without-shellbang /usr/lib/libkdeinit_cervisia.la
W: kdesdk dangling-relative-symlink
/usr/share/doc/HTML/en/cervisia/common/mainfooter.html ../../common/mainfooter.html
E: kdesdk script-without-shellbang /usr/lib/kde3/kbabel_argstool.la
E: kdesdk non-executable-script /usr/share/apps/kapptemplate/admin/compile 0644
W: kdesdk dangling-relative-symlink
/usr/share/doc/HTML/en/cervisia/common/headerbg.png ../../common/headerbg.png
W: kdesdk dangling-relative-symlink
/usr/share/doc/HTML/en/cervisia/common/qpl-license.html
../../common/qpl-license.html
W: kdesdk dangling-relative-symlink
/usr/share/doc/HTML/en/cervisia/common/xml.dcl ../../common/xml.dcl
W: kdesdk devel-file-in-non-devel-package
/usr/share/apps/kapptemplate/kapp/apppref.h
W: kdesdk dangling-relative-symlink
/usr/share/doc/HTML/en/cervisia/common/top-left.png ../../common/top-left.png
E: kdesdk script-without-shellbang /usr/lib/kde3/cvsservice.la
E: kdesdk script-without-shellbang /usr/lib/kde3/kbabel_contexttool.la
W: kdesdk devel-file-in-non-devel-package
/usr/share/apps/kapptemplate/kpartapp/app_part.h
W: kdesdk devel-file-in-non-devel-package
/usr/share/apps/kapptemplate/kapp/appview.h
E: kdesdk script-without-shellbang /usr/lib/kde3/kfile_ts.la
W: kdesdk dangling-relative-symlink
/usr/share/doc/HTML/en/cervisia/common/bottom1.png ../../common/bottom1.png
E: kdesdk script-without-shellbang /usr/lib/libktrace.la
E: kdesdk non-executable-script /usr/share/apps/kapptemplate/admin/config.pl 0644
W: kdesdk devel-file-in-non-devel-package
/usr/share/apps/kapptemplate/kpartplugin/plugin_app.h
W: kdesdk dangling-relative-symlink
/usr/share/doc/HTML/en/cervisia/common/doctop1.png ../../common/doctop1.png
E: kdesdk non-executable-script /usr/share/apps/kapptemplate/admin/mkinstalldirs
0644
W: kdesdk dangling-relative-symlink
/usr/share/doc/HTML/en/cervisia/common/fdl-license.html
../../common/fdl-license.html
E: kdesdk script-without-shellbang /usr/lib/kde3/kbabel_xliffexport.la
W: kdesdk dangling-relative-symlink /usr/share/doc/HTML/en/cervisia/common/8.png
../../common/8.png
E: kdesdk script-without-shellbang /usr/lib/kde3/kbabel_equationstool.la
E: kdesdk non-executable-script
/usr/share/apps/kapptemplate/admin/conf.change.pl 0644
W: kdesdk dangling-relative-symlink
/usr/share/doc/HTML/en/cervisia/common/web-docbottom.png
../../common/web-docbottom.png
W: kdesdk dangling-relative-symlink
/usr/share/doc/HTML/en/cervisia/common/artistic-license.html
../../common/artistic-license.html
W: kdesdk dangling-relative-symlink
/usr/share/doc/HTML/en/cervisia/common/doxygen.css ../../common/doxygen.css
W: kdesdk dangling-relative-symlink
/usr/share/doc/HTML/en/cervisia/common/web-doctop.png ../../common/web-doctop.png
W: kdesdk dangling-relative-symlink
/usr/share/doc/HTML/en/cervisia/common/gpl-license ../../common/gpl-license
E: kdesdk script-without-shellbang /usr/lib/kde3/kfile_po.la
W: kdesdk dangling-relative-symlink /usr/share/doc/HTML/en/cervisia/common/6.png
../../common/6.png
W: kdesdk dangling-relative-symlink
/usr/share/doc/HTML/en/cervisia/common/kde_logo.png ../../common/kde_logo.png
W: kdesdk devel-file-in-non-devel-package
/usr/share/apps/kapptemplate/kapp/appiface.h
W: kdesdk dangling-relative-symlink
/usr/share/doc/HTML/en/cervisia/common/doctop1b.png ../../common/doctop1b.png
E: kdesdk script-without-shellbang /usr/lib/kde3/kbabel_accelstool.la
W: kdesdk dangling-relative-symlink
/usr/share/doc/HTML/en/cervisia/common/footer.html ../../common/footer.html
W: kdesdk dangling-relative-symlink /usr/share/doc/HTML/en/cervisia/common/1.png
../../common/1.png
W: kdesdk non-executable-in-bin /usr/bin/kdelnk2desktop.pyc 0644
E: kdesdk non-executable-script /usr/share/apps/kapptemplate/admin/config.sub 0644
W: kdesdk non-executable-in-bin /usr/bin/kdelnk2desktop.pyo 0644
E: kdesdk script-without-shellbang /usr/lib/kde3/kbabel_linguistimport.la
E: kdesdk script-without-shellbang /usr/lib/libkbabelcommon.la
W: kdesdk dangling-relative-symlink
/usr/share/doc/HTML/en/cervisia/common/header.html ../../common/header.html
E: kdesdk script-without-shellbang /usr/lib/libkspy.la
E: kdesdk non-executable-script /usr/share/apps/umbrello/headings/heading.rb 0644
E: kdesdk script-without-shellbang /usr/lib/kde3/kbabel_regexptool.la
E: kdesdk non-executable-script /usr/share/apps/kapptemplate/admin/bcheck.pl 0644
E: kdesdk script-without-shellbang /usr/lib/libkunittestgui.la
W: kdesdk dangling-relative-symlink
/usr/share/doc/HTML/en/cervisia/common/kde-default.css ../../common/kde-default.css
E: kdesdk non-executable-script /usr/share/apps/kapptemplate/admin/cvs.sh 0644
E: kdesdk script-without-shellbang /usr/lib/kde3/kbabeldict_poauxiliary.la
W: kdesdk dangling-relative-symlink
/usr/share/doc/HTML/en/cervisia/common/fdl-license ../../common/fdl-license
W: kdesdk dangling-relative-symlink
/usr/share/doc/HTML/en/cervisia/common/top-middle.png ../../common/top-middle.png
E: kdesdk non-executable-script /usr/share/apps/kapptemplate/admin/doxygen.sh 0644
W: kdesdk dangling-relative-symlink
/usr/share/doc/HTML/en/cervisia/common/appheader.html ../../common/appheader.html
E: kdesdk script-without-shellbang /usr/lib/kde3/libkuiviewerpart.la
W: kdesdk devel-file-in-non-devel-package /usr/share/apps/kapptemplate/kapp/app.h
E: kdesdk script-without-shellbang /usr/lib/kde3/quithumbnail.la
E: kdesdk non-executable-script /usr/share/apps/kapptemplate/admin/missing 0644
E: kdesdk script-without-shellbang /usr/lib/kde3/kbabel_punctuationtool.la
W: kdesdk dangling-relative-symlink /usr/share/doc/HTML/en/cervisia/common/7.png
../../common/7.png
W: kdesdk dangling-relative-symlink
/usr/share/doc/HTML/en/cervisia/common/lgpl-license ../../common/lgpl-license
E: kdesdk script-without-shellbang /usr/lib/kde3/cervisia.la
W: kdesdk dangling-relative-symlink /usr/share/doc/HTML/en/cervisia/common/5.png
../../common/5.png
E: kdesdk script-without-shellbang /usr/lib/kde3/plugins/styles/scheck.la
W: kdesdk non-executable-in-bin /usr/bin/zonetab2pot.pyo 0644
W: kdesdk non-executable-in-bin /usr/bin/zonetab2pot.pyc 0644
E: kdesdk script-without-shellbang /usr/lib/kde3/kbabel_lengthtool.la
E: kdesdk non-executable-script /usr/share/apps/kapptemplate/admin/debianrules 0644
W: kdesdk dangling-relative-symlink
/usr/share/doc/HTML/en/cervisia/common/bsd-license.html
../../common/bsd-license.html
W: kdesdk devel-file-in-non-devel-package
/usr/share/apps/umbrello/headings/heading.h
W: kdesdk devel-file-in-non-devel-package
/usr/share/apps/kapptemplate/kpartapp/app.h
E: kdesdk script-without-shellbang /usr/lib/kde3/kbabeldict_pocompendium.la
E: kdesdk script-without-shellbang /usr/lib/kde3/kbabeldict_dbsearchengine.la
E: kdesdk script-without-shellbang /usr/lib/libkdeinit_cvsservice.la
W: kdesdk dangling-relative-symlink
/usr/share/doc/HTML/en/cervisia/common/bottom2.png ../../common/bottom2.png
W: kdesdk dangling-relative-symlink /usr/share/doc/HTML/en/cervisia/common/9.png
../../common/9.png
E: kdesdk script-without-shellbang /usr/lib/kde3/kbabel_gettextimport.la
E: kdesdk script-without-shellbang /usr/lib/kde3/kbabel_whitespacetool.la
W: kdesdk dangling-relative-symlink
/usr/share/doc/HTML/en/cervisia/common/fdl-notice.html ../../common/fdl-notice.html
E: kdesdk script-without-shellbang /usr/lib/kde3/kbabel_nottranslatedtool.la
E: kdesdk non-executable-script /usr/share/apps/kapptemplate/admin/ylwrap 0644
W: kdesdk dangling-relative-symlink
/usr/share/doc/HTML/en/cervisia/common/shadow.png ../../common/shadow.png
E: kdesdk non-executable-script
/usr/share/apps/kapptemplate/admin/detect-autoconf.pl 0644
W: kdesdk dangling-relative-symlink
/usr/share/doc/HTML/en/cervisia/common/x11-license.html
../../common/x11-license.html
E: kdesdk script-without-shellbang /usr/lib/kde3/kbabel_gettextexport.la
E: kdesdk script-without-shellbang /usr/lib/libkbabeldictplugin.la
W: kdesdk dangling-relative-symlink /usr/share/doc/HTML/en/cervisia/common/4.png
../../common/4.png
E: kdesdk script-without-shellbang /usr/lib/kde3/kfile_diff.la
E: kdesdk non-executable-script /usr/share/apps/kapptemplate/admin/config.guess 0644
W: kdesdk dangling-relative-symlink
/usr/share/doc/HTML/en/cervisia/common/kde_logo_bg.png ../../common/kde_logo_bg.png
W: kdesdk dangling-relative-symlink
/usr/share/doc/HTML/en/cervisia/common/kde-web.css ../../common/kde-web.css

Comment 2 Rex Dieter 2007-03-08 15:22:57 UTC
1.  SHOULD drop from ./configure flags:  --with-qt-libraries=$QTDIR/lib
    (shouldn't be needed)

2.  SHOULD
+BuildRequires: gettext
+# for kbugbuster/libkcal
+BuildRequires: kdepim-devel >= 6:%{version}
+# umbrello
+BuildRequires: libxslt-devel libxml2-devel
+BuildRequires: subversion-devel >= 1.0
+BuildRequires: neon-devel


Otherwise, looks clean.




Comment 3 Rex Dieter 2007-03-13 20:29:51 UTC
no MUST blockers, APPROVED.